package fr.emn.spiraclock;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * @author Pierre Dragicevic
 */

public class EMNBusApplet extends JApplet {

	JSpiraclock clock;
	EMNBusSchedule schedule;
	public static final int SIZE = 150;
	public static final int INTERVAL = 50;

	public EMNBusApplet() {
	}

	public void init() {
		int mode = 1;
		boolean realTimes = false;
		// CLOCK
		schedule = new EMNBusSchedule(true);
		clock = new JSpiraclock(schedule);
		clock.spiral.setInterval(0.75); //);setHourWidth(35);
		getContentPane().setLayout(new BorderLayout());
		getContentPane().add(clock, BorderLayout.CENTER);
		// BUTTONS PANE
		EMNBusModePanel modepanel = new EMNBusModePanel(schedule, true);
		schedule.setModePanel(modepanel);
		getContentPane().add(modepanel, BorderLayout.SOUTH);
	}

	public void start() {
		super.start();
		// resize
		clock.enableSizeAdjustment = false;
		clock.csize = SIZE;
		clock.spiral.size = SIZE;
		clock.spiral.interval = 0.45;
		clock.adjustWindowToSize();
		// start clock
		clock.followCurrentTime(true);
		clock.updateAppointments();
	}


	public void stop() {
		super.stop();
		// start clock
		clock.followCurrentTime(false);
	}

	public void destroy() {
		super.destroy();
	}
}