package fr.emn.spiraclock;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class EMNBusModePanel extends JPanel {

	final EMNBusSchedule schedule;

      AbstractButton b1, b2, b3;

	public EMNBusModePanel(EMNBusSchedule sc, boolean horizontalLayout) {
		super();
		this.schedule = sc;

		// ADD BUTTONS
		ClassLoader cl = getClass().getClassLoader();
		final ImageIcon i1, i2, i3;
		i1 = new ImageIcon(cl.getResource("fr/emn/spiraclock/bus0.gif"));
		i2 = new ImageIcon(cl.getResource("fr/emn/spiraclock/bus1.gif"));
		i3 = new ImageIcon(cl.getResource("fr/emn/spiraclock/bus2.gif"));
		//final AbstractButton b1, b2, b3;
		final Dimension size = new Dimension(67+10, 22+10);
		if (!horizontalLayout)
      	setLayout(new BoxLayout(this, horizontalLayout?BoxLayout.X_AXIS:BoxLayout.Y_AXIS));
		add(b1 = new JToggleButton() {{
			setIcon(i1);
			setPreferredSize(size);
			setMaximumSize(size);
			addItemListener(new ItemListener() {
				public void itemStateChanged(ItemEvent e) {
					if (e.getStateChange() == e.SELECTED)
						schedule.setMode(0);
				}
			});
		}});
		add(b2 = new JToggleButton() {{
			setSelected(true);
			setIcon(i2);
			setPreferredSize(size);
			setMaximumSize(size);
			addItemListener(new ItemListener() {
				public void itemStateChanged(ItemEvent e) {
					if (e.getStateChange() == e.SELECTED)
						schedule.setMode(1);
				}
			});
		}});
		add(b3 = new JToggleButton() {{
			setIcon(i3);
			setPreferredSize(size);
			setMaximumSize(size);
			addItemListener(new ItemListener() {
				public void itemStateChanged(ItemEvent e) {
					if (e.getStateChange() == e.SELECTED)
						schedule.setMode(2);
				}
			});
		}});

		new ButtonGroup() {{
			add(b1); add(b2); add(b3);
		}};

		select(schedule.mode);
	}

      public void select(int index) {
            switch (index) {
                  case 0:
                        if (!b1.isSelected()) b1.setSelected(true); break;
                  case 1:
                        if (!b2.isSelected()) b2.setSelected(true); break;
                  case 2:
                        if (!b3.isSelected()) b3.setSelected(true); break;
            }
      }
}
